curl --request GET \
--url https://api.invopop.com/transform/v1/jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.invopop.com/transform/v1/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.invopop.com/transform/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"list": [
{
"id": "2b467620-4470-11f1-a2d4-d9f6d57a55c9",
"created_at": "2026-04-30T08:39:57.933Z",
"updated_at": "2026-04-30T08:39:58.102Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "46e84a39-72cc-40ba-9b32-ac0feefa4833",
"status": "OK",
"completed_at": "2026-04-30T08:39:58.102Z"
},
{
"id": "13cc2d50-4470-11f1-abaa-a9921bf464d3",
"created_at": "2026-04-30T08:39:18.549Z",
"updated_at": "2026-04-30T08:39:22.938Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "92191cd1-89f0-4a40-8c7a-62903b890995",
"status": "ERR"
}
],
"limit": 10,
"cursor": "eyJjYXQiOiIyMDI2LTA0LTMwVDEwOjQ5OjAxLjA4MVoifQ",
"next_cursor": "eyJjYXQiOiIyMDI2LTA0LTI5VDExOjExOjIxLjMxMFoifQ"
}
Fetch all jobs
Fetch all jobs in the current workspace.
{
"list": [
{
"id": "2b467620-4470-11f1-a2d4-d9f6d57a55c9",
"created_at": "2026-04-30T08:39:57.933Z",
"updated_at": "2026-04-30T08:39:58.102Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "46e84a39-72cc-40ba-9b32-ac0feefa4833",
"status": "OK",
"completed_at": "2026-04-30T08:39:58.102Z"
},
{
"id": "13cc2d50-4470-11f1-abaa-a9921bf464d3",
"created_at": "2026-04-30T08:39:18.549Z",
"updated_at": "2026-04-30T08:39:22.938Z",
"silo_entry_id": "082ded41-31f7-429a-a740-0d2b7cc5707f",
"workflow_id": "92191cd1-89f0-4a40-8c7a-62903b890995",
"status": "ERR"
}
],
"limit": 10,
"cursor": "eyJjYXQiOiIyMDI2LTA0LTMwVDEwOjQ5OjAxLjA4MVoifQ",
"next_cursor": "eyJjYXQiOiIyMDI2LTA0LTI5VDExOjExOjIxLjMxMFoifQ"
}
Authorizations
Use the Bearer scheme with a valid JWT token to authenticate requests. Example: Authorization: Bearer <token>
Query Parameters
The starting date and time for retrieving results in descending order, formatted as an ISO timestamp.
"2023-08-02T00:00:00.000Z"
The position marker from the previous result's next_cursor property, used for pagination.
The maximum number of jobs to return in a single page of results. Defaults to 20, maximum 100.
20
Response
OK
Array of jobs sorted by creation time in descending order.
Show child attributes
Show child attributes
Date from which results are provided in descending order.
"2025-05-01T00:00:00.000Z"
Maximum number of jobs to show in a page of results, up to 100.
20
Cursor used to identify the current page of results.
Cursor used to identify the next page of results.
Was this page helpful?